Description: Remove broken test test_trace()
Author: Thomas Goirand <zigo@debian.org>
Forwarded: not-needed
Last-Update: 2018-04-21

--- python-os-testr-1.0.0.orig/os_testr/tests/test_subunit_trace.py
+++ python-os-testr-1.0.0/os_testr/tests/test_subunit_trace.py
@@ -82,15 +82,3 @@ class TestSubunitTrace(base.TestCase):
         with open(regular_stream, 'rb') as stream:
             p.communicate(stream.read())
         self.assertEqual(0, p.returncode)
-
-    def test_trace(self):
-        regular_stream = os.path.join(
-            os.path.dirname(os.path.abspath(__file__)),
-            'sample_streams/successful.subunit')
-        bytes_ = io.BytesIO()
-        with open(regular_stream, 'rb') as stream:
-            bytes_.write(six.binary_type(stream.read()))
-        bytes_.seek(0)
-        stdin = io.TextIOWrapper(io.BufferedReader(bytes_))
-        returncode = subunit_trace.trace(stdin, sys.stdout)
-        self.assertEqual(0, returncode)
